package com.huigou.topsun.proofing.domain.query;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.huigou.data.domain.query.QueryAbstractRequest;
import lombok.Data;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;

/**
 * 打样申请工序
 */
@Data
public class ProofingApplyProcessQueryRequest extends QueryAbstractRequest {
    /**
     * 工序ID
     */
    private String proofingApplyProcessId;

    /**
     * 打样工艺工艺id
     */

    private String proofingApplyTechnologyId;

    /**
     * 工序名称
     */

    private String processName;

    /**
     * 工序说明
     */

    private String processRemark;

    /**
     * 工时
     */

    private Double workHours;

    /**
     * 工序类别(process_type)
     */

    private String processType;

    /**
     * 工序内容
     */

    private String processContent;


}