package com.huigou.topsun.product.controller;

import com.huigou.topsun.product.application.SizeGroupApplication;
import com.huigou.topsun.product.domain.SizeGroup;
import com.huigou.topsun.product.domain.query.SizeGroupQueryRequest;
import com.huigou.uasp.annotation.ControllerMapping;
import com.huigou.uasp.client.CommonController;
import com.huigou.util.SDO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;

/**
 * title: 尺码组相关业务
 * author:ZHT
 * date:2023/12/8
 * description:
 */
@Controller
@ControllerMapping("/sizeGroup")
public class SizeGroupController extends CommonController {

    @Autowired
    private SizeGroupApplication sizeGroupApplication;

    @Override
    protected String getPagePath() {
        return "/biz/topsun/sizeGroup/";
    }


    /**
     * 获取尺码组列表(分页)
     */
    public String findSizeGroupList(){
        // TODO
        SDO sdo = this.getSDO();
        SizeGroupQueryRequest sizeGroupQueryRequest = sdo.toQueryRequest(SizeGroupQueryRequest.class);

        return toResult(sizeGroupApplication.getSizeGroupList(sizeGroupQueryRequest));
    }

    /**
     * 添加新的尺码组信息
     */
    public String addSizeGroup(){
        //TODO
        return "";
    }

    /**
     * 编辑选中的尺码组信息
     */
    public String updateSizeGroup(){
        //TODO
        return "";
    }

    /**
     * 删除选中的尺码组
     */
    public String deleteSizeGroupById(){
        //TODO
        return "";
    }

    /**
     * 根据尺码组id获取尺码列表
     */
    public String findSizeGroupItemByGroupId(){
        //TODO
        return "";
    }

    /**
     * 添加尺码
     */
    public String addSizeGroupItem(){
        //TODO
        return "";
    }

    /**
     * 修改尺码
     */
    public String updateSizeGroupItem(){
        //TODO
        return "";
    }

    /**
     * 删除尺码
     */
    public String deleteSizeGroupItemById(){
        //TODO
        return "";
    }



}
